NAME

Paws::IAM::SetDefaultPolicyVersion - Arguments for method SetDefaultPolicyVersion on Paws::IAM

DESCRIPTION

This class represents the parameters used for calling the method SetDefaultPolicyVersion on the AWS Identity and Access Management service. Use the attributes of this class as arguments to method SetDefaultPolicyVersion.

You shouldn't make instances of this class. Each attribute should be used as a named argument in the call to SetDefaultPolicyVersion.

SYNOPSIS

    my $iam = Paws->service('IAM');
    $iam->SetDefaultPolicyVersion(
      PolicyArn => 'MyarnType',
      VersionId => 'MypolicyVersionIdType',

    );

Values for attributes that are native types (Int, String, Float, etc) can passed as-is (scalar values). Values for complex Types (objects) can be passed as a HashRef. The keys and values of the hashref will be used to instance the underlying object. For the AWS API documentation, see https://docs.aws.amazon.com/goto/WebAPI/iam/SetDefaultPolicyVersion

ATTRIBUTES

REQUIRED PolicyArn => Str

The Amazon Resource Name (ARN) of the IAM policy whose default version you want to set.

For more information about ARNs, see Amazon Resource Names (ARNs) and AWS Service Namespaces (http://docs.aws.amazon.com/general/latest/gr/aws-arns-and-namespaces.html) in the AWS General Reference.

REQUIRED VersionId => Str

The version of the policy to set as the default (operative) version.

For more information about managed policy versions, see Versioning for Managed Policies (http://docs.aws.amazon.com/IAM/latest/UserGuide/policies-managed-versions.html) in the IAM User Guide.

SEE ALSO

This class forms part of Paws, documenting arguments for method SetDefaultPolicyVersion in Paws::IAM

BUGS and CONTRIBUTIONS

The source code is located here: https://github.com/pplu/aws-sdk-perl

Please report bugs to: https://github.com/pplu/aws-sdk-perl/issues